local i=require"luci.model.tasks"
local n=require"luci.docker"
local o=require"luci.model.excalidraw"
local a,t,e
a=i.docker_map("excalidraw","excalidraw","/usr/libexec/istorec/excalidraw.sh",
translate("Excalidraw"),
translate("Excalidraw is a self-host virtual whiteboard for sketching hand-drawn like diagrams.")
..translate("Official website:")..' <a href=\"https://excalidraw.com/\" target=\"_blank\">https://excalidraw.com/</a>')
local i=n.new({socket_path="/var/run/docker.sock"})
local n=i:_ping().code==200
local n=n and i:info().body or{}
local i=0
if n.DockerRootDir then
local e=nixio.fs.statvfs(n.DockerRootDir)
i=e and(e.bavail*e.bsize)or 0
end
t=a:section(SimpleSection,translate("Service Status"),translate("Excalidraw status:"))
t:append(Template("excalidraw/status"))
t=a:section(TypedSection,"main",translate("Setup"),
(i<2147483648 and
(translate("The free space of Docker is less than 2GB, which may cause the installation to fail.")
.."<br>")or"")..translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Value,"port",translate("Port").."<b>*</b>")
e.default="8090"
e.datatype="port"
e=t:option(Value,"image_ver",translate("Image").."<b>*</b>")
e.rmempty=false
e.datatype="string"
e.default="v0.13.0"
e:value("v0.13.0","v0.13.0")
local n=o.blocks()
local i=o.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local t,o=o.find_paths(n,i,"Configs")
for a,t in pairs(t)do
e:value(t,t)
end
e.default=o
return a
